//
//  ShareKitDemoViewController.m
//  ShareKitDemo

#import "ShareKitDemoViewController.h"
#import "SHK.h"

@implementation ShareKitDemoViewController

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

-(IBAction)shareURL
{
    // Create an NSURL. This could come from anywhere in your app.
    NSURL *url = [NSURL URLWithString:@"http://mobile.tutsplus.com"];
    
    // Wrap the URL within the SHKItem Class
    SHKItem *item = [SHKItem URL:url title:@"Mobiletuts!"];
    
    // Create a ShareKit ActionSheet and Assign the Sheet an SHKItem 
    SHKActionSheet *actionSheet = [SHKActionSheet actionSheetForItem:item];
    
    // Display the ActionSheet in the current UIView
    [actionSheet showInView:self.view];
}

-(IBAction)shareText
{
    // Create an NSString. This could be taken from a UITextField or anywhere else. 
    NSString *textToShare = @"To iterate is human, to recurse divine. -L. Peter Deutsch";
    
    // Wrap the NSString within the SHKItem Class
    SHKItem *item = [SHKItem text:textToShare];
    
    // Create a ShareKit ActionSheet and Assign the Sheet an SHKItem 
    SHKActionSheet *actionSheet = [SHKActionSheet actionSheetForItem:item];
    
    // Display the ActionSheet in the current UIView
    [actionSheet showInView:self.view];
}

-(IBAction)shareImage
{
    // Create a UIImage. 
    UIImage *image = [UIImage imageNamed:@"ShareKit.jpg"];
    
    // Wrap the UIImage within the SHKItem class
    SHKItem *item = [SHKItem image:image title:@"This image was sent with ShareKit!"];
    
    // Create a ShareKit ActionSheet and Assign the Sheet an SHKItem
    SHKActionSheet *actionSheet = [SHKActionSheet actionSheetForItem:item];
    
    // Display the ActionSheet in the current UIView
    [actionSheet showInView:self.view];    
}

-(IBAction)shareFile
{
    // Get the path to the file we want to share. This example resuses the 
    // the JPG file from above, but it could be anything. 
    NSString *path = [[NSBundle mainBundle] pathForResource:@"ShareKit" ofType:@"jpg"];  
    
    
    // Create an NSData object from the contents of a file.
    NSData *file = [NSData dataWithContentsOfFile:path];
    
    // Wrap the NSData object within an SHKItem
    SHKItem *item = [SHKItem file:file 
                         filename:@"ShareKit.jpg" 
                         mimeType:@"application/image" 
                            title:@"A ShareKit Picture"];
    
    // Create a ShareKit ActionSheet and Assign the Sheet an SHKItem
    SHKActionSheet *actionSheet = [SHKActionSheet actionSheetForItem:item];
    
    // Display the ActionSheet in the current UIView
    [actionSheet showInView:self.view];
}

@end
